package uraxis;

import com.ur.urcap.api.contribution.program.swing.SwingProgramNodeService;
import com.ur.urcap.api.contribution.toolbar.swing.SwingToolbarService;
import org.osgi.framework.BundleActivator;
import org.osgi.framework.BundleContext;
import uraxis.programnodes.GripperNodeService;
import uraxis.toolbar.MyToolbarService;

public class Activator implements BundleActivator {

	@Override
	public void start(BundleContext context) throws Exception {
		System.out.println("Gripper Activator says Hello World!");

		context.registerService(SwingToolbarService.class, new MyToolbarService(), null);
		context.registerService(SwingProgramNodeService.class, new GripperNodeService(), null);
	}

	@Override
	public void stop(BundleContext bundleContext) throws Exception {
		System.out.println("Activator says Goodbye World!");
	}
}

